#
# spec file for package yast2-agent-fdisk (Version 2.4.18)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp libscr libscr-devel liby2 liby2-devel libycp libycp-devel ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libscr libscr-devel libtool liby2 liby2-devel libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ydoc

Name:         yast2-agent-fdisk
Copyright:    (c) 2000 SuSE GmbH
Group:        System Environment/YaST
Summary:      YaST2 fdisk agent
Version:      2.4.18
Release:      16
Source0:      yast2-agent-fdisk-2.4.18.tar.bz2

%description
This package contains the fdisk interface of the YaST2-SCR system.

SuSE series: yast

%package devel
Version:      2.4.18
Release:      16
Summary:      YaST2 fdisk agent link files
Group:        Development/Libraries
Provides:	y2a_fdsk
Obsoletes:	y2a_fdsk

%description devel
This package contains the link files for the fdisk interface
of the YaST2-SCR system and is only needed by YaST2 developers.

SuSE series: yast

%prep
%setup -n yast2-agent-fdisk-2.4.18

%build
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure
make

%install
make install-strip
strip --strip-debug /usr/lib/YaST2/plugin/libpy2ag_fdisk.so.2.0.0
strip --strip-debug /usr/lib/YaST2/plugin/libpy2ag_lvm.so.2.0.0
strip --strip-debug /usr/lib/YaST2/plugin/libpy2ag_md.so.2.0.0

%files
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_fdisk.so.*
/usr/lib/YaST2/plugin/libpy2ag_lvm.so.*
/usr/lib/YaST2/plugin/libpy2ag_md.so.*
%dir /usr/lib/YaST2/scrconf
/usr/lib/YaST2/scrconf/*.scr

%files devel
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_fdisk.so
/usr/lib/YaST2/plugin/libpy2ag_fdisk.la
/usr/lib/YaST2/plugin/libpy2ag_lvm.so
/usr/lib/YaST2/plugin/libpy2ag_lvm.la
/usr/lib/YaST2/plugin/libpy2ag_md.so
/usr/lib/YaST2/plugin/libpy2ag_md.la
%dir /usr/share/doc/packages/yast2-agent-fdisk
/usr/share/doc/packages/yast2-agent-fdisk/*

%changelog -n yast2-agent-fdisk
* Tue Sep 25 2001 - sh@suse.de
- Reverted my last patch
- Applied schwab@suse.de's patch: No more unsetenv(),
  explicit setenv( "LC_ALL", "C") after fork()
-> no need to save environment
- V 2.4.18
* Mon Sep 24 2001 - sh@suse.de
- Fixed bug #10827: No translations for partitioner in installed
  system - saving and restoring environment variables for each
  system command
- V 2.4.17
* Fri Sep 21 2001 - fehr@suse.de
- unlink output files before starting command. there are problems
  with unique filenames because of loading/unloading plugins
  class static variables do always start again at 0
* Fri Sep 14 2001 - fehr@suse.de
- remove forgotten entries to liby2ag_util in spec file
* Thu Sep 13 2001 - fehr@suse.de
- Regex not used any more at all
- get rid of liby2ag_util helper library, glibc does not cope with it
  under certain curcumstances
- new version 2.4.15
* Mon Sep 10 2001 - fehr@suse.de
- avoid static Regex constructors on file level, it leads to crash
  in destructor
- do not umount ramdisk from /etc/lvmtab.d in destructor
- new version 2.4.14
* Fri Sep 07 2001 - fehr@suse.de
- fix /proc/mdstat parsing to work with kernel 2.4
- add missing cast to make pvcreate work again
- new version 2.4.12
* Tue Sep 04 2001 - fehr@suse.de
- update device name regexp
- new version 2.4.11
* Mon Sep 03 2001 - fehr@suse.de
- return failure to ycp code when writing partition table fails
- new version 2.4.10
* Sun Sep 02 2001 - kukuk@suse.de
- Don't map SunOS partitions to DOS on SPARC
- new version 2.4.9
* Fri Aug 31 2001 - fehr@suse.de
- do not depend on Y2_TARGET_ROOT for inst-sys recognition any more
- add debug output additional error checking to LvmAccess.cc
- new version 2.4.8
* Wed Aug 29 2001 - fehr@suse.de
- instantiate class FdiskAcc only when partitions on disk are really
  to be changed
- new version 2.4.7
* Wed Aug 15 2001 - fehr@suse.de
- use fdisk -l <Diskname> for readonly access to disks,
  use fdisk <Diskname> only when changing disk
- new version 2.4.6
* Thu Jul 26 2001 - fehr@suse.de
- remove existing device directory of volume group before vgcreate
* Tue Jul 24 2001 - fehr@suse.de
- fix some bugs in MdAgent
- new version 2.4.5
* Fri Jun 22 2001 - fehr@suse.de
- fix compilation problems with gcc 3.0
- make LvmAccess handle MdDevices
- add possibility to (De-)activate all VGs to LvmAgent
- new version 2.4.4
- add new agent for delivering information about active MD devices
- new version 2.4.3
* Wed Jun 20 2001 - fehr@suse.de
- split off library liby2ag_util that contains common files for
  lvm and fdisk agent
- new version 2.4.2
* Tue Jun 19 2001 - fehr@suse.de
- do not used obsolete y2log any more
* Tue May 22 2001 - fehr@suse.de
- fix a problem with lvm detection of PVs that are in subdirectories
  of /dev (e.g. /dev/rd/, /dev/ida/, /dev/cciss/, /dev/i2o/)
- unset LANG when starting external commands
* Tue May 15 2001 - fehr@suse.de
- to circumvent problems with rounding in user dialogs, use max size
  instead
* Tue May 08 2001 - schwab@suse.de
- Fix MILO detection.
* Tue May 08 2001 - schwab@suse.de
- Don't use obsolete NRV g++ extension.
* Fri May 04 2001 - fehr@suse.de
- mount ramdisk to /etc/lvmtab.d in installation environment when
  configuring LVM
* Fri Apr 20 2001 - fehr@suse.de
- make fdisk agent aware of the new LVM partiton id 0x8E
* Tue Apr 17 2001 - fehr@suse.de
- fix bug that caused crashes when scanning for inactive VGs
* Wed Apr 11 2001 - fehr@suse.de
- add lvm agent to this package
* Thu Mar 29 2001 - kkaempf@suse.de
- dont install lib, only plugin needed
* Fri Mar 23 2001 - arvin@suse.de
- moved documentation to packages/yast2-agent-fdisk
* Mon Mar 05 2001 - kkaempf@suse.de
- add proper Provides/Obsoletes tags to specfile
* Mon Mar 05 2001 - kkaempf@suse.de
- package rename: y2a_fdsk -> yast2-agent-fdisk
* Sat Jan 27 2001 - arvin@suse.de
- package split y2a_fdsk / y2a_fdsk-devel
* Fri Jan 19 2001 - kkaempf@suse.de
- use other ioctl for bigger drives
- correctly handle RAIDs
* Mon Jan 08 2001 - kukuk@suse.de
- Change string we wait for on SPARC to avoid problem with error
  message containing the old string
* Thu Nov 16 2000 - arvin@suse.de
- separate library and plugin component
* Thu Nov 09 2000 - kkaempf@suse.de
- provide static only
* Wed Oct 25 2000 - kkaempf@suse.de
- Group set
* Fri Sep 29 2000 - kkaempf@suse.de
- initial version (split off from y2scr-2.1.1)
